Hello guys. I own a 3G Iphone running on 3.0 firmware using a T-mobile sim card and I just unlocked it using ultrsn0w.

Error message:
Couldn't configure pre-depend dpkg for grep, probably a dependecy cycle"

I get this error once in cydia trying to download certain apps like Cycorder, **********, certain repos, etc.

Does anyone know how to fix this? Please let me now